planet proxy/mirror ==> Re: [plt-dev] Fwd: [plt-scheme] Download links in PLaneT

From: YC (yinso.chen at
Date: Tue Jan 19 21:54:29 EST 2010

On Tue, Jan 19, 2010 at 6:43 PM, Carl Eastlund <carl.eastlund at>wrote:

> Why would you need to try all version numbers?  The requirement is a
> minimum.  Just use the highest available version number, and all
> packages should be available.  As a starting point, you could just use
> the version number from the proxy server itself; the only packages
> this will miss are those too new to install on the server's platform.
Great point!  When I said trying all the version numbers, it was a
worst-case scenario in my mind and I was hoping to come up with a better
algorithm than that once I get started.  Thanks for the tip!

I believe there are packages out there that are only downloadable for 3xx
version (I seem to recall a 2xx package last time I looked at it it but not
sure) - I assume in such case 399 and 299 would be the highest version
number for those branches?

In such case it might take up to 3 tries but the brute force approach now
sounds more reasonable than my worst case scenario.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

Posted on the dev mailing list.